Bug 449207 - Review Request: notify-sharp - A C# implementation for Desktop Notifications
Review Request: notify-sharp - A C# implementation for Desktop Notifications
Status: CLOSED DUPLICATE of bug 463211
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sindre Pedersen Bjørdal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-31 06:32 EDT by Nigel Jones
Modified: 2009-02-10 05:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-22 12:02:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nigel Jones 2008-05-31 06:32:23 EDT
Spec URL: http://dev.nigelj.com/SRPMS/notify-sharp.spec
SRPM URL: http://dev.nigelj.com/SRPMS/notify-sharp-0.4.0-0.1.20080531svn.fc9.src.rpm
Description: 
notify-sharp is a C# client implementation for Desktop Notifications,
i.e. notification-daemon. It is inspired by the libnotify API.

Desktop Notifications provide a standard way of doing passive pop-up
notifications on the Linux desktop. These are designed to notify the
user of something without interrupting their work with a dialog box
that they must close. Passive popups can automatically disappear after
a short period of time.

N.B. 
I know this fails on Rawhide (http://koji.fedoraproject.org/koji/taskinfo?taskID=637862), it's not my fault check out Bug #449205 for why...
It does however build on F9 (http://koji.fedoraproject.org/koji/taskinfo?taskID=637866) & F8 (http://koji.fedoraproject.org/koji/taskinfo?taskID=637872)
Comment 1 Sindre Pedersen Bjørdal 2008-06-14 13:07:32 EDT
I'm taking this. 
Comment 2 Sindre Pedersen Bjørdal 2008-06-14 16:52:38 EDT
Nytt notat 262

I'm taking this. 

Passed:

MUST: rpmlint must be run on every package. The output should be posted in the
review.

notify-sharp.i386: E: no-binary
notify-sharp.i386: E: only-non-binary-in-usr-lib

These can be ignored for mono packages.

MUST: The package must be named according to the Package Naming Guidelines.
MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package Naming Guidelines.
MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
- MUST: The License field in the package spec file must match the actual license.
- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package MUST be legible. If the reviewer is unable
to read the spec file, it will be impossible to perform a review. Fedora is not
the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).
- MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.
- MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. The bug should be marked as blocking one
(or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86 , FE-ExcludeArch-x64 , FE-ExcludeArch-ppc , FE-ExcludeArch-ppc64
- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the [wiki:Self:Packaging/Guidelines#Exceptions exceptions
section of Packaging Guidelines] ; inclusion of those as BuildRequires is
optional. Apply common sense.
- MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. Refer to the Guidelines for examples.
- MUST: A package must not contain any duplicate files in the %files listing.
- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
- MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} ([wiki:Self:Packaging/Guidelines#UsingBuildRootOptFlags or
$RPM_BUILD_ROOT] ).
- MUST: Each package must consistently use macros, as described in the
[wiki:Self:Packaging/Guidelines#macros macros section of Packaging Guidelines] .
- MUST: The package must contain code, or permissable content. This is described
in detail in the [wiki:Self:Packaging/Guidelines#CodeVsContent code vs. content
section of Packaging Guidelines] .
- MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)
- MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
- MUST: Header files must be in a -devel package.
- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.
- MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
- MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
- MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time.
- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
([wiki:Self:Packaging/Guidelines#UsingBuildRootOptFlags or $RPM_BUILD_ROOT] ).
See [wiki:Self:Packaging/Guidelines#PreppingBuildRootForInstall Prepping
BuildRoot For %install] for details.
- MUST: All filenames in rpm packages must be valid UTF-8.


Doesn't apply: 

- MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
- MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig.
An example of the correct syntax for this is:

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

- MUST: Static libraries must be in a -static package.
- MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. This is described in detail in the
[wiki:Self:Packaging/Guidelines#desktop desktop files section of Packaging
Guidelines] . If you feel that your packaged GUI application does not need a
.desktop file, you must put a comment in the spec file with your explanation.
- MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.

So, mostly good. The URL doesn't work for me though, is this the new url for the
project: http://www.ndesk.org/NotifySharp 

You should also include a comment on how to reproduce your tarball so one can
check if the source matches upstream easily. I couldn't find the svn repository
this is taken from to verify. 
Comment 3 Nigel Jones 2008-06-15 08:31:23 EDT
(In reply to comment #2)
> So, mostly good. The URL doesn't work for me though, is this the new url for the
> project: http://www.ndesk.org/NotifySharp 
No, it'd appear that is an old URL for the project, the URL in the SPEC file
still works for me.
> 
> You should also include a comment on how to reproduce your tarball so one can
> check if the source matches upstream easily. I couldn't find the svn repository
> this is taken from to verify. 
Argh, how silly of me, I'll update this 'soon'.

I'm currently a little too busy to provide an update now but hopefully have one
by Friday.
Comment 4 Sindre Pedersen Bjørdal 2008-09-01 13:49:33 EDT
ping
Comment 5 Michel Alexandre Salim 2008-09-11 10:04:45 EDT
ping again. We need notify-sharp to update gnome-do ...
Comment 6 Sindre Pedersen Bjørdal 2008-09-22 12:02:10 EDT
Closing this due to inactivity.
Comment 7 Sindre Pedersen Bjørdal 2008-09-22 12:02:27 EDT

*** This bug has been marked as a duplicate of bug 463211 ***
Comment 8 Fabian Affolter 2009-02-10 05:02:05 EST
Reset review flag

Note You need to log in before you can comment on or make changes to this bug.